Bug 1529317 (CVE-2017-17811) - CVE-2017-17811 nasm: Heap-based buffer overflow in paste_tokens function in asm/preproc.c
Summary: CVE-2017-17811 nasm: Heap-based buffer overflow in paste_tokens function in a...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-17811
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1529336
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-27 15:46 UTC by Pedro Sampaio
Modified: 2019-09-29 14:28 UTC (History)
2 users (show)

Fixed In Version: nasm 2.13.02
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:35:17 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-12-27 15:46:59 UTC
In Netwide Assembler (NASM) 2.14rc0, there is a heap-based buffer overflow that will cause a denial of service attack, related to a strcpy in paste_tokens in asm/preproc.c, a similar issue to CVE-2017-11111.

Upstream bug:

https://bugzilla.nasm.us/show_bug.cgi?id=3392432

Comment 1 Pedro Sampaio 2017-12-27 17:01:14 UTC
Created nasm tracking bugs for this issue:

Affects: fedora-all [bug 1529336]


Note You need to log in before you can comment on or make changes to this bug.